
QGIS Application - Bug report #8467

(OsX) Raster>Projection>Warp dies after one run

2013-08-14 07:53 AM - Lene Fischer

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: OsX Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 17235

Description

An excercize with a warp and mask from a vector. Works fine a first run, but second time recieve ar errormessage.

Attached errormessage.

The same error at 4 Mac - everythin OK at 20 PC.

History

#1 - 2013-08-15 06:41 PM - Giovanni Manghi

- Category changed from Rasters to GDAL Tools

- Status changed from Open to Feedback

- Operating System changed from MAC to OsX

The second run is with the same mask layer? Without closing first the tool dialog?

#2 - 2013-08-15 08:15 PM - Lene Fischer

The second run is on another target file but the same mask. The dialoge is closed. Even if the computer is restarted it doesnet work any longer. No able to

perform a warp.

#3 - 2013-08-16 02:48 AM - Giovanni Manghi

- Subject changed from Raster>Projection>Warp dies after one run to (OsX) Raster>Projection>Warp dies after one run

Lene Fischer wrote:

Even if the computer is restarted it doesnet work any longer. No able to perform a warp.

That's odd.

#4 - 2013-08-31 03:36 PM - Larry Shaffer

Hi,
I can not reproduce this with latest master on Mac OS X 10.7.5. Recently, the handling of QPyNullVariant return values has been updated. This may have

fixed your issue.

Please test with latest nightly build to verify. Thanks.

#5 - 2013-12-08 08:58 AM - rcline -

This is a bug that seems to occur frequently on new installs. The problem appears to occur with all of the GDAL raster file dialogs. The problem is in

/Applications/QGIS.app/Contents/Resources/python/plugins/GdalTools/tools/GdalTools_utils.py

at line 362.

if selectedFilter != None:

     dialog.selectNameFilter(selectedFilter)

In QGIS 2.0.1 the code tests if selectedFilter is a Python None. However, testing shows that it is either the filter name or NULL of type QPyNullVariant. This

is a hard bug to trace because once it works, selectedFilter is never a NULL.

Changing the code to:

  if selectedFilter != None and selectedFilter != NULL:

     dialog.selectNameFilter(selectedFilter)

fixes the problem. Not sure if None can ever occur.  Somebody that is familiar with the code needs to determine whether selectedFilter should be None or

Null. There is a similar test at line 370 that I assumes also needs to be fixed. The problem persists into trunk.

#6 - 2013-12-09 06:33 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

rcline - wrote:

This is a bug that seems to occur frequently on new installs. The problem appears to occur with all of the GDAL raster file dialogs. The problem is in

/Applications/QGIS.app/Contents/Resources/python/plugins/GdalTools/tools/GdalTools_utils.py

at line 362.

if selectedFilter != None:

dialog.selectNameFilter(selectedFilter)

In QGIS 2.0.1 the code tests if selectedFilter is a Python None. However, testing shows that it is either the filter name or NULL of type

QPyNullVariant. This is a hard bug to trace because once it works, selectedFilter is never a NULL.

Changing the code to:

if selectedFilter != None and selectedFilter != NULL:

dialog.selectNameFilter(selectedFilter)

fixes the problem.

better submit a patch on github.
#7 - 2014-10-14 12:58 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

tested yesterday on a fresh qgis 2.4 install on a brand new mac and it works ok. Please reopen if necessary.
